curl --request POST \
--url https://{region}.affinda.com/v2/resume_search/details/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"indices": [
"all-resumes"
],
"jobDescription": "<string>",
"resume": "<string>",
"jobTitles": [
"<string>"
],
"jobTitlesCurrentOnly": true,
"jobTitlesRequired": true,
"jobTitlesWeight": 0.5,
"yearsExperienceMin": 1,
"yearsExperienceMax": 1,
"yearsExperienceRequired": true,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": true,
"skills": [
{
"name": "<string>",
"required": true
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": true
}
],
"languagesWeight": 0.5,
"institutions": [
"<string>"
],
"institutionsRequired": true,
"degrees": [
"<string>"
],
"degreesRequired": true,
"highestDegreeTypes": [
"bachelors"
],
"highestDegreeTypesRequired": true,
"isCurrentStudent": true,
"isCurrentStudentRequired": true,
"isRecentGraduate": true,
"isRecentGraduateRequired": true,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": true,
"searchExpressionWeight": 0.5,
"socCodes": [
5000
],
"socCodesWeight": 0.5,
"socCodesRequired": true,
"managementLevel": "Low",
"managementLevelRequired": true,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": {
"value": true
},
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": true,
"weight": 0.5
}
]
}
'import requests
url = "https://{region}.affinda.com/v2/resume_search/details/{identifier}"
payload = {
"indices": ["all-resumes"],
"jobDescription": "<string>",
"resume": "<string>",
"jobTitles": ["<string>"],
"jobTitlesCurrentOnly": True,
"jobTitlesRequired": True,
"jobTitlesWeight": 0.5,
"yearsExperienceMin": 1,
"yearsExperienceMax": 1,
"yearsExperienceRequired": True,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": True,
"skills": [
{
"name": "<string>",
"required": True
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": True
}
],
"languagesWeight": 0.5,
"institutions": ["<string>"],
"institutionsRequired": True,
"degrees": ["<string>"],
"degreesRequired": True,
"highestDegreeTypes": ["bachelors"],
"highestDegreeTypesRequired": True,
"isCurrentStudent": True,
"isCurrentStudentRequired": True,
"isRecentGraduate": True,
"isRecentGraduateRequired": True,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": True,
"searchExpressionWeight": 0.5,
"socCodes": [5000],
"socCodesWeight": 0.5,
"socCodesRequired": True,
"managementLevel": "Low",
"managementLevelRequired": True,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": { "value": True },
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": True,
"weight": 0.5
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
indices: ['all-resumes'],
jobDescription: '<string>',
resume: '<string>',
jobTitles: ['<string>'],
jobTitlesCurrentOnly: true,
jobTitlesRequired: true,
jobTitlesWeight: 0.5,
yearsExperienceMin: 1,
yearsExperienceMax: 1,
yearsExperienceRequired: true,
yearsExperienceWeight: 0.5,
locations: [
{
name: '',
coordinates: {latitude: 123, longitude: 123},
distance: 100,
unit: 'km'
}
],
locationsWeight: 0.5,
locationsRequired: true,
skills: [{name: '<string>', required: true}],
skillsWeight: 0.5,
languages: [{name: '<string>', required: true}],
languagesWeight: 0.5,
institutions: ['<string>'],
institutionsRequired: true,
degrees: ['<string>'],
degreesRequired: true,
highestDegreeTypes: ['bachelors'],
highestDegreeTypesRequired: true,
isCurrentStudent: true,
isCurrentStudentRequired: true,
isRecentGraduate: true,
isRecentGraduateRequired: true,
educationWeight: 0.5,
searchExpression: '<string>',
searchExpressionRequired: true,
searchExpressionWeight: 0.5,
socCodes: [5000],
socCodesWeight: 0.5,
socCodesRequired: true,
managementLevel: 'Low',
managementLevelRequired: true,
managementLevelWeight: 0.5,
customData: [
{
filterType: 'equals',
query: {value: true},
dataPoint: 'isAvailable',
field: 'isAvailable',
required: true,
weight: 0.5
}
]
})
};
fetch('https://{region}.affinda.com/v2/resume_search/details/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobTitle": {
"missing": [
"<string>"
],
"value": [
{
"name": "Javascript developer",
"startDate": "2021-06-16",
"endDate": "2022-05-01",
"companyName": "Affinda",
"match": true
}
]
},
"location": {
"missing": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"value": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123",
"match": true
}
},
"education": {
"missing": {
"degrees": [
"<string>"
],
"highestDegreeTypes": [
"<string>"
],
"institutions": [
"<string>"
],
"currentStudent": true,
"recentGraduate": true
},
"value": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science",
"inputStr": "Bachelor of Science, Mechanical Engineering, expected",
"matchStr": "Bachelor of Science",
"educationLevel": "bachelors"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
},
"match": true
}
]
},
"skills": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "<string>",
"lastUsed": "2022-05-16",
"numberOfMonths": 1,
"type": "<string>",
"sources": [
{
"position": 1
}
],
"match": true
}
]
},
"experience": {
"years": 1,
"match": true
},
"occupationGroup": {
"missing": [
123
],
"value": [
{
"code": 123,
"name": "<string>",
"children": [
{
"code": 1,
"name": "<string>",
"children": "<array>",
"parents": "<array>"
}
],
"match": true,
"parents": [
{
"code": 1,
"name": "<string>",
"children": "<array>",
"parents": "<array>"
}
]
}
]
},
"languages": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "<string>",
"lastUsed": "2022-05-16",
"numberOfMonths": 1,
"type": "<string>",
"sources": [
{
"position": 1
}
],
"match": true
}
]
},
"managementLevel": {
"level": "Low",
"match": true
},
"searchExpression": {
"missing": [
"<string>"
],
"value": [
"<string>"
]
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Get search result of specific resume
This contains more detailed information about the matching score of the search criteria, or which search criteria is missing in this resume.
The identifier is the unique ID returned via the /resume_search endpoint.
curl --request POST \
--url https://{region}.affinda.com/v2/resume_search/details/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"indices": [
"all-resumes"
],
"jobDescription": "<string>",
"resume": "<string>",
"jobTitles": [
"<string>"
],
"jobTitlesCurrentOnly": true,
"jobTitlesRequired": true,
"jobTitlesWeight": 0.5,
"yearsExperienceMin": 1,
"yearsExperienceMax": 1,
"yearsExperienceRequired": true,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": true,
"skills": [
{
"name": "<string>",
"required": true
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": true
}
],
"languagesWeight": 0.5,
"institutions": [
"<string>"
],
"institutionsRequired": true,
"degrees": [
"<string>"
],
"degreesRequired": true,
"highestDegreeTypes": [
"bachelors"
],
"highestDegreeTypesRequired": true,
"isCurrentStudent": true,
"isCurrentStudentRequired": true,
"isRecentGraduate": true,
"isRecentGraduateRequired": true,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": true,
"searchExpressionWeight": 0.5,
"socCodes": [
5000
],
"socCodesWeight": 0.5,
"socCodesRequired": true,
"managementLevel": "Low",
"managementLevelRequired": true,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": {
"value": true
},
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": true,
"weight": 0.5
}
]
}
'import requests
url = "https://{region}.affinda.com/v2/resume_search/details/{identifier}"
payload = {
"indices": ["all-resumes"],
"jobDescription": "<string>",
"resume": "<string>",
"jobTitles": ["<string>"],
"jobTitlesCurrentOnly": True,
"jobTitlesRequired": True,
"jobTitlesWeight": 0.5,
"yearsExperienceMin": 1,
"yearsExperienceMax": 1,
"yearsExperienceRequired": True,
"yearsExperienceWeight": 0.5,
"locations": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"locationsWeight": 0.5,
"locationsRequired": True,
"skills": [
{
"name": "<string>",
"required": True
}
],
"skillsWeight": 0.5,
"languages": [
{
"name": "<string>",
"required": True
}
],
"languagesWeight": 0.5,
"institutions": ["<string>"],
"institutionsRequired": True,
"degrees": ["<string>"],
"degreesRequired": True,
"highestDegreeTypes": ["bachelors"],
"highestDegreeTypesRequired": True,
"isCurrentStudent": True,
"isCurrentStudentRequired": True,
"isRecentGraduate": True,
"isRecentGraduateRequired": True,
"educationWeight": 0.5,
"searchExpression": "<string>",
"searchExpressionRequired": True,
"searchExpressionWeight": 0.5,
"socCodes": [5000],
"socCodesWeight": 0.5,
"socCodesRequired": True,
"managementLevel": "Low",
"managementLevelRequired": True,
"managementLevelWeight": 0.5,
"customData": [
{
"filterType": "equals",
"query": { "value": True },
"dataPoint": "isAvailable",
"field": "isAvailable",
"required": True,
"weight": 0.5
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
indices: ['all-resumes'],
jobDescription: '<string>',
resume: '<string>',
jobTitles: ['<string>'],
jobTitlesCurrentOnly: true,
jobTitlesRequired: true,
jobTitlesWeight: 0.5,
yearsExperienceMin: 1,
yearsExperienceMax: 1,
yearsExperienceRequired: true,
yearsExperienceWeight: 0.5,
locations: [
{
name: '',
coordinates: {latitude: 123, longitude: 123},
distance: 100,
unit: 'km'
}
],
locationsWeight: 0.5,
locationsRequired: true,
skills: [{name: '<string>', required: true}],
skillsWeight: 0.5,
languages: [{name: '<string>', required: true}],
languagesWeight: 0.5,
institutions: ['<string>'],
institutionsRequired: true,
degrees: ['<string>'],
degreesRequired: true,
highestDegreeTypes: ['bachelors'],
highestDegreeTypesRequired: true,
isCurrentStudent: true,
isCurrentStudentRequired: true,
isRecentGraduate: true,
isRecentGraduateRequired: true,
educationWeight: 0.5,
searchExpression: '<string>',
searchExpressionRequired: true,
searchExpressionWeight: 0.5,
socCodes: [5000],
socCodesWeight: 0.5,
socCodesRequired: true,
managementLevel: 'Low',
managementLevelRequired: true,
managementLevelWeight: 0.5,
customData: [
{
filterType: 'equals',
query: {value: true},
dataPoint: 'isAvailable',
field: 'isAvailable',
required: true,
weight: 0.5
}
]
})
};
fetch('https://{region}.affinda.com/v2/resume_search/details/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jobTitle": {
"missing": [
"<string>"
],
"value": [
{
"name": "Javascript developer",
"startDate": "2021-06-16",
"endDate": "2022-05-01",
"companyName": "Affinda",
"match": true
}
]
},
"location": {
"missing": [
{
"name": "",
"coordinates": {
"latitude": 123,
"longitude": 123
},
"distance": 100,
"unit": "km"
}
],
"value": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123",
"match": true
}
},
"education": {
"missing": {
"degrees": [
"<string>"
],
"highestDegreeTypes": [
"<string>"
],
"institutions": [
"<string>"
],
"currentStudent": true,
"recentGraduate": true
},
"value": [
{
"id": 2,
"organization": "Virginia Polytechnic Institute and State University (Virginia Tech)",
"accreditation": {
"education": "Bachelor of Science",
"inputStr": "Bachelor of Science, Mechanical Engineering, expected",
"matchStr": "Bachelor of Science",
"educationLevel": "bachelors"
},
"grade": {
"raw": "GPA : 3.35",
"metric": "GPA",
"value": "3.35"
},
"location": {
"rawInput": "Blacksburg, VA",
"formatted": "Blacksburg, VA, USA",
"postalCode": "3124",
"state": "Virginia",
"stateCode": "TX",
"country": "United States",
"countryCode": "US",
"streetNumber": "1",
"street": "Smith St",
"apartmentNumber": "12",
"city": "Blacksburg",
"latitude": "67.0124",
"longitude": "67.0124",
"poBox": "P.O. Box 123"
},
"dates": {
"completionDate": "2021-05-01",
"isCurrent": true,
"startDate": "2019-05-01",
"rawText": "May-Aug '18"
},
"match": true
}
]
},
"skills": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "<string>",
"lastUsed": "2022-05-16",
"numberOfMonths": 1,
"type": "<string>",
"sources": [
{
"position": 1
}
],
"match": true
}
]
},
"experience": {
"years": 1,
"match": true
},
"occupationGroup": {
"missing": [
123
],
"value": [
{
"code": 123,
"name": "<string>",
"children": [
{
"code": 1,
"name": "<string>",
"children": "<array>",
"parents": "<array>"
}
],
"match": true,
"parents": [
{
"code": 1,
"name": "<string>",
"children": "<array>",
"parents": "<array>"
}
]
}
]
},
"languages": {
"missing": [
{
"name": "<string>",
"required": true
}
],
"value": [
{
"name": "<string>",
"lastUsed": "2022-05-16",
"numberOfMonths": 1,
"type": "<string>",
"sources": [
{
"position": 1
}
],
"match": true
}
]
},
"managementLevel": {
"level": "Low",
"match": true
},
"searchExpression": {
"missing": [
"<string>"
],
"value": [
"<string>"
]
}
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Resume identifier
"ELglqBbT"
Body
Search parameters
["all-resumes"]
A random string that uniquely identify the resource.
A random string that uniquely identify the resource.
Search only through the canditate's current job
0 <= x <= 1Minimum years of total work experience
x >= 0Maximum years of total work experience
x >= 00 <= x <= 1Search by location name or by coordinates
Show child attributes
Show child attributes
0 <= x <= 1Show child attributes
Show child attributes
0 <= x <= 1Show child attributes
Show child attributes
0 <= x <= 1school, certificate, bachelors, masters, doctoral "bachelors"
Search for student canditates
Search for canditates that graduated less than a year ago
0 <= x <= 1Search through resumes' raw text
0 <= x <= 1A list of occupation group IDs, more details can be found in the <occupation_groups> endpoint
1 <= x <= 99990 <= x <= 1None, Low, Mid, Upper "Low"
0 <= x <= 1Show child attributes
Show child attributes
Response
Successfully retrieved detail search result.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?